/*
  Copyright (c) 2008 Stephen Kelly <steveire@gmail.com>
  Copyright (c) 2008 Omat Holding B.V. <info@omat.nl>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

  As a special exception, permission is given to link this program
  with any edition of Qt, and distribute the resulting executable,
  without including the source code for Qt in the source distribution.
*/

#include "aboutdata.h"
#include <klocale.h>

AboutData::AboutData()
        : KAboutData( "mailody", 0,
                      ki18n( "Mailody" ),
                      "1.5.0-beta1",
                      ki18n( "An IMAP Mail Client" ),
                      KAboutData::License_GPL,
                      ki18n( "(c) 2006-2009 Omat Holding B.V." ),
                      KLocalizedString(),
                      "http://www.mailody.net" )
{
    addAuthor( ki18n( "Tom Albers" ), ki18n( "Maintainer and author" ),
               "tomalbers@kde.nl", "http://www.omat.nl" );
    addAuthor( ki18n( "Frode M. Døving" ),  ki18n( "Author" ),
               "frode@lnix.net" );
    addCredit( ki18n( "Marijke Verkaik" ), ki18n( "Website and icons" ),
               "internet@kovoks.nl" );
    addCredit( ki18n( "Lee Olson" ), ki18n( "Logo" ),
               "clearbeast@gmail.com" );
    addCredit( ki18n( "Maxilys and Kolum" ),
               ki18n( "Idea to call this application Mailody" ) );
}
