/*
 * mailodymailviewerview.cpp
 *
 * Copyright (C) 2008 Omat Holding B.V. <info@omat.nl>
 */
#include "mailodymailviewerview.h"
#include "../src/messagewidget.h"

#include <QtGui/QLabel>

#include <KLocale>
#include <KVBox>

#include <akonadi/collection.h>

MailodyMailViewerView::MailodyMailViewerView( QWidget * )
{
    KVBox* box = new KVBox( this );
    m_messageView = new Mailody::MessageWidget( box );
}

MailodyMailViewerView::~MailodyMailViewerView()
{
}

void MailodyMailViewerView::setMsg( Mailody::MessageData* msg )
{
    m_messageView->setMsg( msg );
}

#include "mailodymailviewerview.moc"
